summaryrefslogtreecommitdiffstats
path: root/packages/apex-pdp-package-full/src/main/package/control
diff options
context:
space:
mode:
Diffstat (limited to 'packages/apex-pdp-package-full/src/main/package/control')
-rw-r--r--packages/apex-pdp-package-full/src/main/package/control/control27
-rw-r--r--packages/apex-pdp-package-full/src/main/package/control/postinst59
-rw-r--r--packages/apex-pdp-package-full/src/main/package/control/postrm73
-rw-r--r--packages/apex-pdp-package-full/src/main/package/control/preinst53
-rw-r--r--packages/apex-pdp-package-full/src/main/package/control/prerm38
5 files changed, 250 insertions, 0 deletions
diff --git a/packages/apex-pdp-package-full/src/main/package/control/control b/packages/apex-pdp-package-full/src/main/package/control/control
new file mode 100644
index 000000000..25226d89b
--- /dev/null
+++ b/packages/apex-pdp-package-full/src/main/package/control/control
@@ -0,0 +1,27 @@
+#-------------------------------------------------------------------------------
+# ============LICENSE_START=======================================================
+# Copyright (C) 2016-2018 Ericsson. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#-------------------------------------------------------------------------------
+Package: [[install.package.name]]
+Version: [[version]]
+Section: misc
+Priority: optional
+Architecture: all
+Maintainer: Liam Fallon <liam.fallon@ericsson.com>
+Description: Apex Microservice
+Distribution: development
diff --git a/packages/apex-pdp-package-full/src/main/package/control/postinst b/packages/apex-pdp-package-full/src/main/package/control/postinst
new file mode 100644
index 000000000..dab0fded7
--- /dev/null
+++ b/packages/apex-pdp-package-full/src/main/package/control/postinst
@@ -0,0 +1,59 @@
+#! /bin/sh
+
+#-------------------------------------------------------------------------------
+# ============LICENSE_START=======================================================
+# Copyright (C) 2016-2018 Ericsson. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#-------------------------------------------------------------------------------
+
+#
+# This script is called after package software is installed
+#
+
+echo "********************postinst****************"
+echo "arguments $*"
+echo "***********************************************"
+
+# Check for debian abort-remove case which calls postinst, in which we do nothing
+if [ "$1" = "abort-remove" ]
+then
+ exit 0
+fi
+
+# Check if a soft link for latest version of Apex already exists
+if [ -L "/opt/app/policy/apex-pdp" ]; then
+ rm /opt/app/policy/apex-pdp
+fi
+
+# Add soft link for latest version of Apex
+ln -s `ls /opt/app/policy/apex-pdp | grep -i '^apex-*' | sort | tail -1` /opt/app/policy/apex-pdp
+
+# Add Apex-specific directories and set ownership as the Apex admin user
+mkdir -p /var/log/onap/policy/apex-pdp
+chown -R apexuser:apexuser /var/log/onap/policy/apex-pdp
+
+# Ensure everything has the correct permissions
+find /opt/app -type d -perm 755
+find /opt/app -type f -perm 644
+chmod a+x /opt/app/policy/apex-pdp/apex/bin/*
+
+# Copy examples to Apex user area
+if [ -e /home/apexuser/examples ]
+then
+ rm -rf /home/apexuser/examples
+fi
+cp -pr /opt/app/policy/apex-pdp/apex/examples /home/apexuser
diff --git a/packages/apex-pdp-package-full/src/main/package/control/postrm b/packages/apex-pdp-package-full/src/main/package/control/postrm
new file mode 100644
index 000000000..f57fd70ba
--- /dev/null
+++ b/packages/apex-pdp-package-full/src/main/package/control/postrm
@@ -0,0 +1,73 @@
+#! /bin/sh
+
+#-------------------------------------------------------------------------------
+# ============LICENSE_START=======================================================
+# Copyright (C) 2016-2018 Ericsson. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#-------------------------------------------------------------------------------
+
+#
+# This script is called after package software is removed
+#
+
+echo "********************postrm*******************"
+echo "arguments $*"
+echo "*********************************************"
+
+# Check for debian upgrade case which calls postrm, in which we do nothing
+if [ "$1" = "upgrade" ]
+then
+ exit 0
+fi
+
+# Check if a soft link for apex exists, if so remove it
+if [ -L "/opt/app/policy/apex-pdp" ]; then
+ rm /opt/app/policy/apex-pdp
+fi
+
+DIRS_TO_DELETE="
+ /var/log/onap/policy/apex-pdp
+ /opt/app/policy/apex-pdp
+ "
+
+for DIR in $DIRS_TO_DELETE
+do
+ if [ -e $DIR ]
+ then
+ rm -rf $DIR
+ echo Directory $DIR removed
+ fi
+done
+
+if [ -e "/home/apexuser" ]
+then
+ echo "deleting home directory of user apexuser . . ."
+ rm -fr /home/apexuser
+fi
+
+if getent passwd "apexuser" >/dev/null 2>&1
+then
+ echo "deleting user apexuser . . ."
+ userdel apexuser
+fi
+
+if getent group "apexuser" >/dev/null 2>&1
+then
+ echo "deleting group apexuser . . ."
+ groupdel apexuser
+fi
+
diff --git a/packages/apex-pdp-package-full/src/main/package/control/preinst b/packages/apex-pdp-package-full/src/main/package/control/preinst
new file mode 100644
index 000000000..58257c5a2
--- /dev/null
+++ b/packages/apex-pdp-package-full/src/main/package/control/preinst
@@ -0,0 +1,53 @@
+#! /bin/sh
+
+#-------------------------------------------------------------------------------
+# ============LICENSE_START=======================================================
+# Copyright (C) 2016-2018 Ericsson. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#-------------------------------------------------------------------------------
+
+#
+# This script is called before package software is installed
+#
+
+echo "********************preinst*******************"
+echo "arguments $*"
+echo "**********************************************"
+
+# Check if Apex is running
+running_check=`ps -ef | egrep "org.onap.policy.apex.service.engine.main.ApexMain" | egrep -v grep`
+if [ ! -z "$running_check" -a "$running_check" != "" ]
+then
+ echo "Apex processes are running, stop Apex prior to package upgrade"
+ exit 1
+fi
+
+if ! getent group "apexuser" >/dev/null 2>&1
+then
+ echo "creating group apexuser . . ."
+ groupadd apexuser
+fi
+
+if ! getent passwd "apexuser" >/dev/null 2>&1
+then
+ echo "creating user apexuser . . ."
+ useradd -g apexuser apexuser
+fi
+
+# Create the Apex user home directory
+mkdir -p /home/apexuser
+chown -R apexuser:apexuser /home/apexuser
diff --git a/packages/apex-pdp-package-full/src/main/package/control/prerm b/packages/apex-pdp-package-full/src/main/package/control/prerm
new file mode 100644
index 000000000..3729af6a2
--- /dev/null
+++ b/packages/apex-pdp-package-full/src/main/package/control/prerm
@@ -0,0 +1,38 @@
+#! /bin/sh
+
+#-------------------------------------------------------------------------------
+# ============LICENSE_START=======================================================
+# Copyright (C) 2016-2018 Ericsson. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#-------------------------------------------------------------------------------
+
+#
+# This script is called before package software is removed
+#
+
+echo "**********************prerm********************"
+echo "arguments $*"
+echo "***********************************************"
+
+
+# Check if Apex is running
+running_check=`ps -ef | egrep "org.onap.policy.apex.service.engine.main.ApexMain" | egrep -v grep`
+if [ ! -z "$running_check" -a "$running_check" != "" ]
+then
+ echo "Apex processes are running, stop Apex prior to package removal"
+ exit 1
+fi